/*
 * PowerTracer
 * http://eeclust.de
 *
 * Copyright (c) 2010-2012, University of Hamburg
 *
 * See the file COPYING in the package base directory for details
 *
 * print.h
 *
 *  Created on: May 24, 2011
 *  Author: Timo Minartz
 */

#ifndef PRINT_H_
#define PRINT_H_

#include <glib.h>
#include <glib/gprintf.h>

extern gboolean debug;
extern gboolean verbose;

#define errormsg(...)	{g_fprintf(stderr,__VA_ARGS__); }
#define printmsg(...) 	if(verbose) {g_print(__VA_ARGS__); }
#define debugmsg(...) 	if(debug) {g_print(__VA_ARGS__);}

#endif /* PRINT_H_ */
